SDL_GetHint(3)

NAME
SDL_GetHint - Get the value of a hint.

SYNOPSIS
#include <SDL3/SDL_hints.h>

const char * SDL_GetHint(const char *name);

FUNCTION PARAMETERS

name
    the hint to query.

RETURN VALUE
Returns the string value of a hint or NULL if the hint isn't set.

THREAD SAFETY
It is safe to call this function from any thread, however the return value only remains valid until the hint is changed; if another thread might do so, the app should supply locks and/or make a copy of the string. Note that using a hint callback instead is always thread-safe, as SDL holds a lock on the thread subsystem during the callback.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetHint(3), SDL_SetHintWithPriority(3)